<?php

namespace Drupal\module_builder\Form;

use Drupal\Core\Entity\EntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Replacement form class to use when DCB is not ready.
 *
 * This is switched by ComponentFormBase::__construct().
 */
class ComponentBrokenForm extends EntityForm {

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state) {
    drupal_set_message(t("Modules cannot be created because component data is not available. Use the 'Process data' tab to get data about hooks and plugins."), 'error');

    return [];
  }

  /**
   * {@inheritdoc}
   */
  protected function actions(array $form, FormStateInterface $form_state) {
    return [];
  }

}
